/*
    VARIABLES CSS
*/
:root {
    --bitcoin-orange: #f7931a;
    --soft-orange: #ffe9d5;
    --secondary-blue: #1a9af7;
    --soft-blue: #e7f5ff;
    --warm-black: #282623;
    --black: #201e1c;
    --grey: #bababa;
    --off-white: #faf8f7;
    --just-white: #fff;
}

*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html{
    font-size: 62.5%;
    font-family: "DM Sans", sans-serif;
    scroll-behavior: smooth;
}

header {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 100%;
    min-width: 320px;
    height: 334px;
    text-align: center;
    background: linear-gradient(207.8deg, #201E1C 16.69%, #F7931A 100%);
}

header img{
    width: 150px;
    height: 24px;
    margin-top: 60px;
    align-self: center;
}

.header--title-container{
    width: 90%;
    min-width: 288px;
    max-width: 900px;
    margin-top: 40px;
    text-align: center;
    align-self: center;
}

.header--title-container h1 {
    font-size: 2.4rem;
    font-weight: bold;
    line-height: 2.6rem;
    color: var(--just-white);
}

.header--title-container p {
    margin-top: 25px;
    font-size: 1.4rem;
    font-weight: 500;
    line-height: 1.8rem;
    color: var(--soft-orange);

}

.header--title-container .header--button {
	position: absolute;
    left: calc(50% - 118px);
    top: 270px;
    display: block;
    margin-top: 35px;
    padding: 15px;
    width: 229px;
    height: 48px;
    background-color: var(--off-white);
    box-shadow: 0px 4px 8px rgba(89, 73, 30, 0.16);
    border: none;
    border-radius: 5px;
    font-size: 1.4rem;
    font-weight: bold;
    text-decoration: none;
    color: var(--black);
}

.header--button span{
    display: inline-block;
    width: 13px;
    height: 8px;
    margin-left: 10px;
    background-image: url("../assets/icons/down-arrow.svg");
}

main{
    width: 100%;
    height: auto;
    background-color: var(--off-white);
}

.main-exchange-container{
    width: 100%;
    height: auto;
    padding-top: 80px;
    padding-bottom: 30px;
    text-align: center;
}

.main-exchange-container--title{
    width: 90%;
    min-width: 288px;
    max-width: 900px;
    margin: 0 auto;
}

.main-exchange-container .backgroundImg{
    width: 200px;
    height: 200px;
    margin: 0 auto 50px;
    background-image: url(../assets/img/Bitcoin.svg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.main-exchange-container h2{
    margin-bottom: 30px;
    font-size: 2.4rem;
    font-weight: bold;
    line-height: 2.6rem;
    color: var(--black);
}

.main-exchange-container p{
    margin-bottom: 30px;
    font-size: 1.4rem;
    font-weight: 500;
    line-height: 1.6rem;
    color: #757575;
}

.main-tables-container{
    display: flex;
    overflow-x: scroll;
    overscroll-behavior-x: contain;
    scroll-snap-type: x proximity;
    margin: 0 50px;
}

.main-currency-table{
    position: relative;
    scroll-snap-align: center;
    width: 70%;
    min-width: 235px;
    max-width: 500px;
    height: 360px;
    font-family: "Inter", sans-serif;
}

.main-currency-table .currency-table--title{
    margin-bottom: 15px;
    font-size: 1.8rem;
    font-weight: bold;
    line-height: 2.3rem;
    color: var(--bitcoin-orange);
}

.main-currency-table .currency-table--title-2{
    margin-bottom: 15px;
    font-size: 1.8rem;
    font-weight: bold;
    line-height: 2.3rem;
    color: var(--secondary-blue);
}
.currency-table--container{
    width: 90%;
    min-width: 230px;
    max-width: 300px;
    height: 250px;
    margin: 0 auto;
}

.currency-table--container table{
    width: 100%;
    height: 100%;
}

.currency-table--container td{
    width: 50%;
    font-size: 1.6rem;
    font-weight: 500;
    line-height: 1.9rem;
    color: var(--grey);
    background-color: var(--just-white);
}

.currency-table--container .table__top-left{
    border-radius: 15px 0 0 0;
}

.currency-table--container .table__top-right{
    border-radius: 0 15px 0 0;
}

.currency-table--container .table__bottom-right{
    border-radius: 0 0 15px 0;
}

.currency-table--container .table__bottom-left{
    border-radius: 0 0 0 15px;
}

.currency-table--container .table__right{
    font-size: 1.4rem;
    font-weight: normal;
    line-height: 1.7rem;
    color: #757575;
}

.currency-table--container .down{
    display: inline-block;
    width: 15px;
    height: 15px;
    margin-left: 15px;
    background-image: url("../assets/icons/trending-down.svg");
    background-size: cover;
    background-position:center;
    background-repeat: no-repeat;
}

.currency-table--container .up{
    display: inline-block;
    width: 15px;
    height: 15px;
    margin-left: 15px;
    background-image: url("../assets/icons/trending-up.svg");
    background-size: cover;
    background-position:center;
    background-repeat: no-repeat;
}

.currency-table--date {
    width: 190px;
    height: 30px;
    margin: 15px auto 0;
    padding: 8px;
    background-color: var(--soft-orange);
    border-radius: 8px;
}

.currency-table--date-2{
    width: 190px;
    height: 30px;
    margin: 15px auto 0;
    padding: 8px;
    background-color: #e5f3fe;
    border-radius: 8px;
}

.currency-table--date-2 p {
    color: var(--warm-black);
    font-weight: 300;
    font-size: 1.2rem;
    line-height: 1.5rem;
}

.currency-table--date p {
    color: var(--warm-black);
    font-weight: 300;
    font-size: 1.2rem;
    line-height: 1.5rem;
}

.main-product-detail{
    position: relative;
    width: 100%;
    min-width: 320px;
    height: auto;
    padding: 20px 10px;
    background-color: var(--warm-black);
}

.product-detail--batata-logo{
    position: absolute;
	top: calc(0% - 12.5px);
	left: calc(50% - 20px);
    width: 40px;
    height: 25px;
    background-image: url("../assets/icons/batata.svg");
}

.product-detail--title{
    width: 90%;
    min-width: 288px;
    height: auto;
    margin: 50px auto 0;
    text-align: center;

}

.product-detail--title h2{
    margin-bottom: 20px;
    font-size: 2.4rem;
    font-weight: bold;
    line-height: 2.6rem;
    color: var(--just-white);
}

.product-detail--title p{
    margin-bottom: 20px;
    font-size: 1.4rem;
    font-weight: 500;
    line-height: 1.8rem;
    color: #808080;
}

.product-detail--card{
    width: 90%;
    min-width: 288px;
    max-width: 400px;
    min-height: 150px;
    margin: 15px auto;
    padding: 15px;
    background-color: var(--black);
    border-radius: 5px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.16);
}

.product-detail--card .icon-card {
    display: inline-block;
    width: 20px;
    height: 20px;
    margin-bottom: 10px;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}

.product--card-title{
    margin-bottom: 15px;
    font-size: 1.8rem;
    font-weight: bold;
    line-height: 1.8rem;
    color: var(--just-white);

}

.product--card-body{
    font-size: 1.4rem;
    font-weight: 500;
    line-height: 1.8rem;
    color: #808080;

}

.clock {
    background-image: url('../assets/icons/clock.svg');
}

.eye {
    background-image: url('../assets/icons/eye.svg')
}

.dollar {
    background-image: url('../assets/icons/dollar-sign.svg');
}

.circle{
    background-image: url('../assets/icons/check-circle.svg');
}

.bitcoin-img-container{
    width: 100%;
    min-width: 300px;
    height: 50vh;
    background-image: url("../assets/img/bitcoinbaby2x.jpg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    text-align: center;
}

.bitcoin-img-container h2{
    padding-top: 60px;
    font-size: 2.4rem;
    font-weight: bold;
    line-height: 2.6rem;
    color: var(--just-white);
}

.main-plans-container{
    width: 100%;
    min-width: 320px;
    padding-bottom: 70px;
    text-align: center;
}

.plans--title{
    width: 90%;
    min-width: 288px;
    height: auto;
    margin: 50px auto;
}

.plans--title h2{
    font-size: 2.4rem;
    font-weight: 2.4rem;
    font-weight: bold;
    line-height: 2.6rem;
    color: var(--black);
}

.plans--title p{
    padding-top: 30px;
    font-size: 1.4rem;
    font-weight: 500;
    line-height: 1.8rem;
    color: #757575;
}
.plans-container--slider{
    display: flex;
    height: 316px;
    overflow-x: scroll;
    overscroll-behavior-x: contain;
    scroll-snap-type: x proximity;
}
.plans-container--card{
    position: relative;
    scroll-snap-align: center;
    width: 70%;
    min-width: 190px;
    max-width: 300px;
    height: 250px;
    margin: 50px 5px 0px;
    padding: 0 15px;
    background-color: var(--just-white);
    border-radius: 15px;
    box-shadow: 0 4px 8px rgba(89, 73, 30, 0.16);
}

.recommended{
    position: absolute;
    width: 120px;
    height: 31px;
    background-color: var(--bitcoin-orange);
    border-radius: 8px;
    color: var(--just-white);
    left: calc(50% - 60px);
    font-size: 1.4rem;
    top: -15px;
    display: grid;
    align-content: center;
}

.plan-card--title{
    padding-top: 30px;
    font-size: 1.4re;
    font-weight: 500;
    line-height: 1.8rem;
    color: var(--black);
}

.plan-card--price{
    padding: 5px 0;
    font-size: 5.2rem;
    font-weight: bold;
    line-height: 5.3rem;
    color: var(--black);
}

.plan-card--price span{
    font-size: 2.2rem;
    font-weight: 300;
    letter-spacing: -10px;
}

.plan-card--saving{
    font-size: 1.2rem;
    color: #757575;
}

.plan-card--ca{
    width: 150px;
    height: 48px;
    margin-top: 20px;
    background-color: #faf8f7;
    border: 2px solid var(--bitcoin-orange);
    border-radius: 4px;
    font-family: "DM Sans", sans-serif;
    font-size: 1.4rem;
    font-weight: bold;
    line-height: 1.8rem;
    color: var(--black);
}

.plan-card--ca span{
    display: inline-block;
    width: 20px;
    height: 20px;
    background-image: url("../assets/icons/orange-right-arrow.svg");
    vertical-align: text-bottom;
    
}

footer{
    display: flex;
    width: 100%;
    height: 150px;
    background-color: var(--bitcoin-orange);
}

footer section {
    display: flex;
    width: 50%;
    align-items: center;
    justify-content: center;
}

footer .left ul{
    font-size: 1.4rem;
    font-weight: 500;
    line-height: 1.8rem;
    list-style: none;
}

.left li{
    margin: 10px 0;
}

.left a{
    text-decoration: none;
    color: var(--just-white);
}